Bug 435956 - yum update removes kdeedu kdemultimedia-extras kdewebdev
yum update removes kdeedu kdemultimedia-extras kdewebdev
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdewebdev (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 12:14 EST by Mike C
Modified: 2008-04-16 23:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.5.9-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 23:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike C 2008-03-04 12:14:18 EST
Description of problem:yum -y update removed kdewebdev unintentionally


Version-Release number of selected component (if applicable):kdewebdev-3.5.9-1.fc8


How reproducible:Only tested once


Steps to Reproduce:
1. yum -y update on 4th March 2008
2. Note that the output includes
Erasing   : kdewebdev                    ####################### [60/75]
3. In order to retain kdewebdev need to do 
yum install kdewebdev to re-install it
  
Actual results:kdewebdev removed


Expected results:kdewebdev should not be removed


Additional info:
Comment 1 Rex Dieter 2008-03-04 12:21:31 EST
Arg, nasty that is.
Comment 2 Rex Dieter 2008-03-04 12:22:46 EST
I see the problem in an errant Obsoletes.

Quick-n-dirty to get it back in the meantime.
yum install kdewebdev

Comment 3 Mike C 2008-03-04 14:30:45 EST
By the way I also now see that the same updated erased kdemultimedia-extras...
Is this essentially the same problem?
Comment 4 Kevin Kofler 2008-03-04 14:52:38 EST
Quite likely, yes.
Comment 5 Mike C 2008-03-05 12:00:22 EST
kdeedu got removed also !
Comment 6 Johan Cwiklinski 2008-04-09 01:01:31 EDT
Same problem here with kdeedu today.

This problem happens when we have a -lib replacing package :
# yum update 
[...] 
kdebase-libs            x86_64     6:3.5.9-7.fc8    updates           1.0 M
     replacing  kdebase.x86_64 6:3.5.9-3.fc8

kdeedu-libs             x86_64     3.5.9-2.fc8      updates           364 k
     replacing  kdeedu.x86_64 3.5.9-1.fc8
[...]
Updating for dependencies:
 kdebase                 x86_64     6:3.5.9-7.fc8    updates            28 M
[...]
  Installing: kdeedu-libs                  ####################### [ 9/95]
[...]
  Updating  : kdebase                      ####################### [43/95]
  Installing: kdebase-libs                 ####################### [44/95]
[...]
  Updating  : kdebase-libs                 ####################### [48/95]
[...]
  Cleanup   : kdebase-libs                 ####################### [58/95]
[...]
  Cleanup   : kdeedu-libs                  ####################### [65/95]
  Erasing   : kdeedu                       ####################### [66/95]
[...]
  Cleanup   : kdebase                      ####################### [77/95]
  Cleanup   : kdebase-libs                 ####################### [84/95]

As you can see, updating kdebase-libs will also update kdebase, while
kdeedu-libs will erase kdeedu.
Comment 7 Mike C 2008-04-09 04:15:27 EDT
Confirmed same here today for kdeedu removed
Comment 8 Rex Dieter 2008-04-09 11:46:40 EDT
On kdeedu too.
Comment 9 Fedora Update System 2008-04-09 12:41:29 EDT
kdeedu-3.5.9-3.fc8,kdemultimedia-3.5.9-2.fc8 has been submitted as an update for Fedora 8
Comment 10 Rex Dieter 2008-04-09 12:45:22 EDT
Added fixed kdewebdev-3.5.9-2.fc8 build too.
Comment 11 Mike C 2008-04-12 16:59:22 EDT
Tried using yum localupdate -

[root@lapmike1 ~]# yum localupdate /home/mike/rpms/kdewebdev-3.5.9-2.fc8.i386.rpm
Setting up Local Package Process
livna                     100% |=========================| 2.1 kB    00:00
fedora                    100% |=========================| 2.1 kB    00:00
adobe-linux-i386          100% |=========================|  951 B    00:00
updates                   100% |=========================| 2.3 kB    00:00
Examining /home/mike/rpms/kdewebdev-3.5.9-2.fc8.i386.rpm: kdewebdev -
6:3.5.9-2.fc8.i386
Marking /home/mike/rpms/kdewebdev-3.5.9-2.fc8.i386.rpm as an update to kdewebdev
- 6:3.5.9-1.fc8.i386
Resolving Dependencies
--> Running transaction check
---> Package kdewebdev.i386 6:3.5.9-2.fc8 set to be updated
--> Processing Dependency: kdewebdev-libs = 6:3.5.9-2.fc8 for package: kdewebdev
--> Finished Dependency Resolution
Error: Missing Dependency: kdewebdev-libs = 6:3.5.9-2.fc8 is needed by package
kdewebdev


Then tried the same for kdeedu:

[root@lapmike1 ~]# yum localupdate /home/mike/rpms/kdeedu-3.5.9-3.fc8.i386.rpm
Setting up Local Package Process
Examining /home/mike/rpms/kdeedu-3.5.9-3.fc8.i386.rpm: kdeedu - 3.5.9-3.fc8.i386
Marking /home/mike/rpms/kdeedu-3.5.9-3.fc8.i386.rpm as an update to kdeedu -
3.5.9-2.fc8.i386
Resolving Dependencies
--> Running transaction check
---> Package kdeedu.i386 0:3.5.9-3.fc8 set to be updated
--> Processing Dependency: kdeedu-libs = 3.5.9-3.fc8 for package: kdeedu
--> Finished Dependency Resolution
Error: Missing Dependency: kdeedu-libs = 3.5.9-3.fc8 is needed by package kdeedu

Tried rpm directly:
[root@lapmike1 ~]# rpm -Uvh /home/mike/rpms/kdeedu-3.5.9-3.fc8.i386.rpm
error: Failed dependencies:
        kdeedu-libs = 3.5.9-3.fc8 is needed by kdeedu-3.5.9-3.fc8.i386

So what do I try next?
Comment 12 Rex Dieter 2008-04-12 19:52:53 EDT
Include the -libs pkgs too.
Comment 13 Mike C 2008-04-13 11:42:59 EDT
OK - sorry Rex - my bad - I had not realised the -libs files were further down
the list in the koji page.

It works fine now..... I am happy this resolves this bug and should be pushed to
stable now.
Comment 14 Fedora Update System 2008-04-16 23:51:15 EDT
kdemultimedia-3.5.9-2.fc8, kdeedu-3.5.9-3.fc8, kdewebdev-3.5.9-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.